Skip to main content
POST
/
api
/
external
/
companies
/
{companyId}
/
brokerages
curl --request POST \
  --url https://app.aiinsurance.io/api/external/companies/{companyId}/brokerages \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "New Insurance Agency",
  "commissionPaymentMethod": "agencyBill"
}
'
{
  "id": "550e8400-e29b-41d4-a716-446655440003"
}

Documentation Index

Fetch the complete documentation index at: https://docs.aiinsurance.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication. Include your API key in the Authorization header.

Path Parameters

companyId
string<uuid>
required

Company identifier

Body

application/json
name
string
required

Brokerage name

commissionPaymentMethod
enum<string>
required

Method for handling commission payments

Available options:
agencyBill,
directBill,
doNotHandle
niprBrokerageNumber
string

NIPR brokerage number

email
string<email>

Brokerage email address

addressStructured
object

Structured address information

phone
string

Phone number

defaultCommissionPercentage
number

Default commission percentage for this brokerage

Response

Brokerage created successfully

id
string<uuid>

The ID of the created brokerage